- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# EventPoint Class Reference

`#include <EventPoint.h>`

Inheritance diagram for EventPoint:

List of all members.

## Public Member Functions
| EventPoint (List *info, int x, int y)
| ~EventPoint ()
void | draw ()
void | update ()
void | collide (Object *o)
void | findAndReplace (std::string find, std::string replace)
virtual Object * | copy ()
void | load (List *info, bool fromConstructor=true)
## Private Attributes
bool | _hasSprite
bool | _collideEvent
bool | _active
List * | _collideList
Sprite * | _sprite

## Detailed Description

Definition at line 9 of file EventPoint.h.

## Constructor & Destructor Documentation

EventPoint::EventPoint | ( | List * | info,
|  | int | x,
|  | int | y
| ) |

| Definition at line 10 of file EventPoint.cpp. References Object::_collidable, Object::_solid, Object::_type, EVENTPOINT, and load(). Referenced by copy().

EventPoint::~EventPoint | ( |  | ) |

| Definition at line 24 of file EventPoint.cpp. References _collideList.

## Member Function Documentation

void EventPoint::collide | ( | Object * | o | ) | `[virtual]`

| Reimplemented from Object. Definition at line 69 of file EventPoint.cpp. References _active, _collideEvent, _collideList, Object::getType(), CommandManager::instance(), PLAYER, and CommandManager::startPlaying().

Object * EventPoint::copy | ( |  | ) | `[virtual]`

| Reimplemented from Object. Definition at line 29 of file EventPoint.cpp. References _collideList, and EventPoint().

void EventPoint::draw | ( |  | ) | `[virtual]`

| Implements Object. Definition at line 84 of file EventPoint.cpp. References _active, Object::_box, _hasSprite, _sprite, and Sprite::draw().

void EventPoint::findAndReplace | ( | std::string | find,
|  | std::string | replace
| ) |

| Definition at line 77 of file EventPoint.cpp. References _collideEvent, _collideList, and List::findAndReplace().

void EventPoint::load | ( | List * | info,
|  | bool | fromConstructor = `true`
| ) | `[virtual]`

| Reimplemented from Object. Definition at line 36 of file EventPoint.cpp. References _collideList, Object::load(), and Parser::parse(). Referenced by EventPoint().

void EventPoint::update | ( |  | ) | `[inline, virtual]`

| Reimplemented from Object. Definition at line 15 of file EventPoint.h.

## Member Data Documentation

bool EventPoint::_active`[private]`

| Definition at line 25 of file EventPoint.h. Referenced by collide(), and draw().

bool EventPoint::_collideEvent`[private]`

| Definition at line 24 of file EventPoint.h. Referenced by collide(), and findAndReplace().

List* EventPoint::_collideList`[private]`

| Definition at line 27 of file EventPoint.h. Referenced by collide(), copy(), findAndReplace(), load(), and ~EventPoint().

bool EventPoint::_hasSprite`[private]`

| Definition at line 23 of file EventPoint.h. Referenced by draw().

Sprite* EventPoint::_sprite`[private]`

| Definition at line 29 of file EventPoint.h. Referenced by draw().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/EventPoint.h
- C:/Documents and Settings/jegan/Desktop/projectX/EventPoint.cpp